SDL_HasEvent(3)

NAME
SDL_HasEvent - Check for the existence of a certain event type in the event queue.

HEADER FILE
Defined in SDL3/SDL_events.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_HasEvent(Uint32 type);

DESCRIPTION
If you need to check for a range of event types, use SDL_HasEvents () instead.

FUNCTION PARAMETERS

type
    the type of event to be queried; see SDL_EventType
     for details

RETURN VALUE
Returns SDL_TRUE
 if events matching type are present, or SDL_FALSE
 if events matching type are not present.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_HasEvents(3)